- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a policy.
Returns a google.rpc.Status with google.rpc.Code.NOT_FOUND if the constraint or the policy doesn't exist. Returns a google.rpc.Status with google.rpc.Code.ABORTED if the ETag supplied in the request doesn't match the persisted ETag of the policy.
Note: the supplied policy will perform a full overwrite of all fields.
HTTP request
PATCH https://orgpolicy.googleapis.com/v2/{policy.name=organizations/*/policies/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
policy.name |
Immutable. The resource name of the policy. Must be one of the following forms, where
For example, Note: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Field mask used to specify the fields to be overwritten in the policy. The fields specified in the updateMask are relative to the policy, not the full request. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Policy.
Response body
If successful, the response body contains an instance of Policy.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.